package gssim.db.reader;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.Reader;

/**
 * 
 * @author Marcin Krystek
 *
 */
public class StatsParser extends BufferedReader {

	protected String separator = ";";
	
	public StatsParser(Reader in, boolean skipHeaders) throws IOException {
		super(in);
		if(skipHeaders) super.readLine();
	}

	public void setSeparator(String arg){
		this.separator = arg;
	}
	
	public String readLine() throws IOException{
		String line = super.readLine();
		if(line == null)
			return null;
		
		// this will skip empty lines
		while(line != null && line.length() == 0)
			line = super.readLine();
		
		return line;
	}
	
	public String[] readValues() throws IOException{
		String line = readLine();
		if(line == null)
			return null;
		
		String tab[] = line.split(separator);
		
		return tab;
	}
	
}
